## org.apache.mahout.classifier.df.mapreduce.inmem
Class InMemInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>
          org.apache.mahout.classifier.df.mapreduce.inmem.InMemInputFormat

    public class InMemInputFormat

extends org.apache.hadoop.mapreduce.InputFormat<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>

Custom InputFormat that generates InputSplits given the desired number of trees.
each input split contains a subset of the trees.
The number of splits is equal to the number of requested splits

Nested Class Summary
`static class` `InMemInputFormat.InMemInputSplit` Custom InputSplit that indicates how many trees are built by each mapper
`static class` `InMemInputFormat.InMemRecordReader`

Constructor Summary
`InMemInputFormat()`

Method Summary
`org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>` `createRecordReader(org.apache.hadoop.mapreduce.InputSplit split, org.apache.hadoop.mapreduce.TaskAttemptContext context)`
`List<org.apache.hadoop.mapreduce.InputSplit>` `getSplits(org.apache.hadoop.conf.Configuration conf, int numSplits)`
`List<org.apache.hadoop.mapreduce.InputSplit>` `getSplits(org.apache.hadoop.mapreduce.JobContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemInputFormat

    public InMemInputFormat()

Method Detail

### createRecordReader

    public org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable> createRecordReader(org.apache.hadoop.mapreduce.InputSplit split,
                                                                                                                                           org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                                                                                                                    throws IOException,
                                                                                                                                           InterruptedException

  Specified by:
    `createRecordReader` in class `org.apache.hadoop.mapreduce.InputFormat<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### getSplits

    public List<org.apache.hadoop.mapreduce.InputSplit> getSplits(org.apache.hadoop.mapreduce.JobContext context)
                                                           throws IOException,
                                                                  InterruptedException

  Specified by:
    `getSplits` in class `org.apache.hadoop.mapreduce.InputFormat<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### getSplits

    public List<org.apache.hadoop.mapreduce.InputSplit> getSplits(org.apache.hadoop.conf.Configuration conf,
                                                                  int numSplits)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.